Subject: Ticket Assigned - Re:Share your feedback with us
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 12 Feb 2022 04:46:01 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re:Share your feedback with us Hello, I am sorry to tell you that this was the worst experience I had with any store ever. I submitted a comolaint about a table i received and You clearly mentioned in your email that either i can go to the store and they will help me or i can return it online. First i wet to the store and they immediately refused to help saying that i ordered it online and theh are not allowed to fix anything. And theybalso refused to exchange it with another one. The item is only 43Sr!!! Second, i try to make a return online, and i discover that i cannot even select to table item that i want to return! I don't know the reason. I can select all other items except the table. This has been as i mentioned the worst shopping experience i have had. I am surprised by that from a store like yours Regards Charbel Sent from my Huawei phone -------- Original message -------- From: Home Box <[email-masked]> Date: Fri, Feb 11, 2022, 10:19 PM To: Charbel Nehman <[email-masked]> Subject: Share your feedback with us 

 
 
 We’d love to hear from you. 

 

 

 
 Download
 our apps now 

 

 

 iPhone 
 Android 

 

  

 

 Living
 
 Dining
 
 Bedroom
 
 Kids
 
 Bathroom
 
 Kitchen
 
 Furniture
 
 Home Dècor

 

 

 Your feedback is important to us.
 
 Hi Charbel Nehman,
 we'd be grateful if you could tell us what you think about the products you've just received.

 

 
 
 HOMEBOX 
 
 Keep Clean Pivot Lid Dustbin - 9 L 
 
 Color: Grey
 
 Quantity: 2

 
 SAR 38

 Write a review

 

 

 
 
 HOMEBOX 
 
 Hilton King Mattress Topper 
 
 Color: White
 
 Quantity: 1

 
 SAR 179

 Write a review

 

 

 
 
 HOMEBOX 
 
 Multipurpose Cloth - Set of 12 
 
 Color: Multicolour
 
 Quantity: 1

 
 SAR 9

 Write a review

 

 

 
 
 HOMEBOX 
 
 Agata Square End Table 
 
 Color: Beige
 
 Quantity: 2

 
 SAR 86

 Write a review

 

 

 
 
 HOMEBOX 
 
 Midas Round Waste Bin - 8.5 L 
 
 Color: White
 
 Quantity: 2

 
 SAR 10

 Write a review

 

 

 
 
 HOMEBOX 
 
 Stainless Steel 6-Piece Knife Set 
 
 Color: Multicolour
 
 Quantity: 1

 
 SAR 19

 Write a review

 
 
  Need help? Get in touch 

 

 
 Write us an email now, we'll get back to you as fast as we can. 

 

 

 
 Connect with us on your favourite social network. 

 

 
 
 Call us on 800-6100269. Saturday - Thursday, 9 AM - 6 PM. 

 

 

 
 
 WhatsApp us on 056-311-0227 Saturday to Thursday, 9:00 AM to 9:00 PM. 

 

 

 
 
 © 2022 Retail World Limited 

 

 
 Privacy Policy |
 Terms & Conditions

 

 

 

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3880715